Upstream information

CVE-2018-11763 at MITRE

Description

In Apache HTTP Server 2.4.17 to 2.4.34, by sending continuous, large SETTINGS frames a client can occupy a connection, server thread and CPU time without any connection timeout coming to effect. This affects only HTTP/2 connections. A possible mitigation is to not enable the h2 protocol.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 7.5
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity High Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
SUSE Bugzilla entries: 1109961 [RESOLVED / FIXED], 1122212 [REOPENED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-Storage-4-2018-2541
SUSE Linux Enterprise Module for Server Applications 15
  • apache2 >= 2.4.33-3.6.1
  • apache2-devel >= 2.4.33-3.6.1
  • apache2-doc >= 2.4.33-3.6.1
  • apache2-prefork >= 2.4.33-3.6.1
  • apache2-utils >= 2.4.33-3.6.1
  • apache2-worker >= 2.4.33-3.6.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2018-2201
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • apache2 >= 2.4.33-3.15.1
  • apache2-devel >= 2.4.33-3.15.1
  • apache2-doc >= 2.4.33-3.15.1
  • apache2-prefork >= 2.4.33-3.15.1
  • apache2-utils >= 2.4.33-3.15.1
  • apache2-worker >= 2.4.33-3.15.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA apache2
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-2541
SUSE Linux Enterprise Server 12 SP2-BCL
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-2541
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-2541
SUSE Linux Enterprise Server 12 SP2-LTSS
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-2541
SUSE Linux Enterprise Server 12 SP3
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2541
SUSE Linux Enterprise Server 12 SP4
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2018-2541
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-2541
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-2541
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-2541
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-2541
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2541
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2018-2541
SUSE Linux Enterprise Software Development Kit 12 SP3
  • apache2 >= 2.4.23-29.27.2
  • apache2-devel >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2541
SUSE Linux Enterprise Software Development Kit 12 SP4
  • apache2 >= 2.4.23-29.27.2
  • apache2-devel >= 2.4.23-29.27.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2018-2541
SUSE OpenStack Cloud 7
  • apache2 >= 2.4.23-29.27.2
  • apache2-doc >= 2.4.23-29.27.2
  • apache2-example-pages >= 2.4.23-29.27.2
  • apache2-prefork >= 2.4.23-29.27.2
  • apache2-utils >= 2.4.23-29.27.2
  • apache2-worker >= 2.4.23-29.27.2
Patchnames:
SUSE-OpenStack-Cloud-7-2018-2541
openSUSE Leap 15.0
  • apache2 >= 2.4.33-lp150.2.6.1
  • apache2-debuginfo >= 2.4.33-lp150.2.6.1
  • apache2-debugsource >= 2.4.33-lp150.2.6.1
  • apache2-devel >= 2.4.33-lp150.2.6.1
  • apache2-doc >= 2.4.33-lp150.2.6.1
  • apache2-event >= 2.4.33-lp150.2.6.1
  • apache2-event-debuginfo >= 2.4.33-lp150.2.6.1
  • apache2-example-pages >= 2.4.33-lp150.2.6.1
  • apache2-prefork >= 2.4.33-lp150.2.6.1
  • apache2-prefork-debuginfo >= 2.4.33-lp150.2.6.1
  • apache2-utils >= 2.4.33-lp150.2.6.1
  • apache2-utils-debuginfo >= 2.4.33-lp150.2.6.1
  • apache2-worker >= 2.4.33-lp150.2.6.1
  • apache2-worker-debuginfo >= 2.4.33-lp150.2.6.1
  • python3-virtualbox >= 6.0.10-lp150.4.36.1
  • python3-virtualbox-debuginfo >= 6.0.10-lp150.4.36.1
  • virtualbox >= 6.0.10-lp150.4.36.1
  • virtualbox-debuginfo >= 6.0.10-lp150.4.36.1
  • virtualbox-debugsource >= 6.0.10-lp150.4.36.1
  • virtualbox-devel >= 6.0.10-lp150.4.36.1
  • virtualbox-guest-desktop-icons >= 6.0.10-lp150.4.36.1
  • virtualbox-guest-kmp-default >= 6.0.10_k4.12.14_lp150.12.67-lp150.4.36.1
  • virtualbox-guest-kmp-default-debuginfo >= 6.0.10_k4.12.14_lp150.12.67-lp150.4.36.1
  • virtualbox-guest-source >= 6.0.10-lp150.4.36.1
  • virtualbox-guest-tools >= 6.0.10-lp150.4.36.1
  • virtualbox-guest-tools-debuginfo >= 6.0.10-lp150.4.36.1
  • virtualbox-guest-x11 >= 6.0.10-lp150.4.36.1
  • virtualbox-guest-x11-debuginfo >= 6.0.10-lp150.4.36.1
  • virtualbox-host-kmp-default >= 6.0.10_k4.12.14_lp150.12.67-lp150.4.36.1
  • virtualbox-host-kmp-default-debuginfo >= 6.0.10_k4.12.14_lp150.12.67-lp150.4.36.1
  • virtualbox-host-source >= 6.0.10-lp150.4.36.1
  • virtualbox-qt >= 6.0.10-lp150.4.36.1
  • virtualbox-qt-debuginfo >= 6.0.10-lp150.4.36.1
  • virtualbox-vnc >= 6.0.10-lp150.4.36.1
  • virtualbox-websrv >= 6.0.10-lp150.4.36.1
  • virtualbox-websrv-debuginfo >= 6.0.10-lp150.4.36.1
Patchnames:
openSUSE-2019-1547
openSUSE-2019-1814
openSUSE-2019-791
openSUSE Leap 15.1
  • python3-virtualbox >= 6.0.10-lp151.2.6.1
  • python3-virtualbox-debuginfo >= 6.0.10-lp151.2.6.1
  • virtualbox >= 6.0.10-lp151.2.6.1
  • virtualbox-debuginfo >= 6.0.10-lp151.2.6.1
  • virtualbox-debugsource >= 6.0.10-lp151.2.6.1
  • virtualbox-devel >= 6.0.10-lp151.2.6.1
  • virtualbox-guest-desktop-icons >= 6.0.10-lp151.2.6.1
  • virtualbox-guest-kmp-default >= 6.0.10_k4.12.14_lp151.28.10-lp151.2.6.1
  • virtualbox-guest-kmp-default-debuginfo >= 6.0.10_k4.12.14_lp151.28.10-lp151.2.6.1
  • virtualbox-guest-source >= 6.0.10-lp151.2.6.1
  • virtualbox-guest-tools >= 6.0.10-lp151.2.6.1
  • virtualbox-guest-tools-debuginfo >= 6.0.10-lp151.2.6.1
  • virtualbox-guest-x11 >= 6.0.10-lp151.2.6.1
  • virtualbox-guest-x11-debuginfo >= 6.0.10-lp151.2.6.1
  • virtualbox-host-kmp-default >= 6.0.10_k4.12.14_lp151.28.10-lp151.2.6.1
  • virtualbox-host-kmp-default-debuginfo >= 6.0.10_k4.12.14_lp151.28.10-lp151.2.6.1
  • virtualbox-host-source >= 6.0.10-lp151.2.6.1
  • virtualbox-qt >= 6.0.10-lp151.2.6.1
  • virtualbox-qt-debuginfo >= 6.0.10-lp151.2.6.1
  • virtualbox-vnc >= 6.0.10-lp151.2.6.1
  • virtualbox-websrv >= 6.0.10-lp151.2.6.1
  • virtualbox-websrv-debuginfo >= 6.0.10-lp151.2.6.1
Patchnames:
openSUSE-2019-1814
openSUSE Leap 42.3
  • apache2 >= 2.4.23-31.1
  • apache2-debuginfo >= 2.4.23-31.1
  • apache2-debugsource >= 2.4.23-31.1
  • apache2-devel >= 2.4.23-31.1
  • apache2-doc >= 2.4.23-31.1
  • apache2-event >= 2.4.23-31.1
  • apache2-event-debuginfo >= 2.4.23-31.1
  • apache2-example-pages >= 2.4.23-31.1
  • apache2-prefork >= 2.4.23-31.1
  • apache2-prefork-debuginfo >= 2.4.23-31.1
  • apache2-utils >= 2.4.23-31.1
  • apache2-utils-debuginfo >= 2.4.23-31.1
  • apache2-worker >= 2.4.23-31.1
  • apache2-worker-debuginfo >= 2.4.23-31.1
  • python-virtualbox >= 5.2.24-66.1
  • python-virtualbox-debuginfo >= 5.2.24-66.1
  • virtualbox >= 5.2.24-66.1
  • virtualbox-debuginfo >= 5.2.24-66.1
  • virtualbox-debugsource >= 5.2.24-66.1
  • virtualbox-devel >= 5.2.24-66.1
  • virtualbox-guest-desktop-icons >= 5.2.24-66.1
  • virtualbox-guest-kmp-default >= 5.2.24_k4.4.165_81-66.1
  • virtualbox-guest-kmp-default-debuginfo >= 5.2.24_k4.4.165_81-66.1
  • virtualbox-guest-source >= 5.2.24-66.1
  • virtualbox-guest-tools >= 5.2.24-66.1
  • virtualbox-guest-tools-debuginfo >= 5.2.24-66.1
  • virtualbox-guest-x11 >= 5.2.24-66.1
  • virtualbox-guest-x11-debuginfo >= 5.2.24-66.1
  • virtualbox-host-kmp-default >= 5.2.24_k4.4.165_81-66.1
  • virtualbox-host-kmp-default-debuginfo >= 5.2.24_k4.4.165_81-66.1
  • virtualbox-host-source >= 5.2.24-66.1
  • virtualbox-qt >= 5.2.24-66.1
  • virtualbox-qt-debuginfo >= 5.2.24-66.1
  • virtualbox-vnc >= 5.2.24-66.1
  • virtualbox-websrv >= 5.2.24-66.1
  • virtualbox-websrv-debuginfo >= 5.2.24-66.1
Patchnames:
openSUSE-2018-1378
openSUSE-2019-84


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 apache2 Released
SUSE Linux Enterprise Module for Server Applications 15 GA apache2 Released
SUSE Linux Enterprise SDK 11 SP4 apache2 Not affected
SUSE Linux Enterprise SDK 12 SP3 apache2 Released
SUSE Linux Enterprise SDK 12 SP4 apache2 Released
SUSE Linux Enterprise Server 11 SP3 LTSS apache2 Not affected
SUSE Linux Enterprise Server 11 SP4 apache2 Not affected
SUSE Linux Enterprise Server 12 GA LTSS apache2 Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP3 apache2 Released
SUSE Linux Enterprise Server 12 SP4 apache2 Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 apache2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 apache2 Released
SUSE Studio Onsite 1.3 apache2 Not affected